 /**************************************************************************
 *   Copyright (C) 2009 by Silicium628 (France)                            *
 *   http://silicium628.chez-alice.fr/                                     *
 *   http://www.silicium628.fr/                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation;                                         *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY;                                             *
 *   See the GNU General Public License for more details.                  *
 ***************************************************************************/

#include "complexe.h"
//

void Complexe::multi_lambda(double lambda)
{ 
	a *= lambda;
	b *= lambda;
  	 
}

Complexe Complexe::operator+ (Complexe &c)
{
	Complexe r;
	r.a=this->a+c.a;
	r.b=this->b+c.b;
	return r;
}

Complexe Complexe::operator* (Complexe &c)
{
	Complexe r;
	r.a=this->a * c.a - this->b * c.b;
	r.b=this->a * c.b + this->b * c.a;
	return r;
}
/* rappel: fonction en pascal
function produit_cplx(c1,c2:complexe):complexe;
 begin
   produit_cplx[1]:=c1[1]*c2[1]-c1[2]*c2[2];
   produit_cplx[2]:=c1[1]*c2[2]+c1[2]*c2[1];
 end;
*/

