 /**************************************************************************
 *   Copyright (C) 2009 by Silicium628 (France)                            *
 *   http://silicium628.chez-alice.fr/                                     *
 *   http://www.silicium628.fr/                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation;                                         *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY;                                             *
 *   See the GNU General Public License for more details.                  *
 ***************************************************************************/

#ifndef VECTEUR2D_V2_H
#define VECTEUR2D_V2_H

#include <QGraphicsLineItem>
#include <QGraphicsEllipseItem>
#include <QGraphicsSimpleTextItem>
#include <QGraphicsPolygonItem>
#include <QGraphicsItemGroup>


class Vecteur2D
{
// private par defaut
    double dx;
    double dy;

    double offsetX; // pour le tracé à l'écran
    double offsetY;

 public:

    Vecteur2D(); // Constructeur

    double get_dx(void);
    double get_dy(void);

    void set_offsetX(double offsetX_i);
    void set_offsetY(double offsetY_i);

    void set_dx(double dx_i);
    void set_dy(double dy_i);

	void multi_lambda(double lambda);

    Vecteur2D operator+ (Vecteur2D &Vi);
    Vecteur2D operator- (Vecteur2D &Vi);

    void dessiner(double x_i, double y_i, QGraphicsItemGroup *groupe_i, QPen pen_i, int fle, QString ltr, int ecr, int crl, int prj);

 private:

    QGraphicsLineItem *ligne_i;
    QGraphicsEllipseItem *ellipse1;
    QGraphicsPolygonItem *QGraphicsPolygon1;
    QGraphicsSimpleTextItem *texte1;

};
#endif
